#include "chdecl.h"
void CH_codegen_cgforall(current, sched, cop)
#define ARGUMENTS 6
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb6;
    case 4: goto c7;
    case 5: goto cb11;
    case 6: goto c13;
    case 7: goto cb13;
    case 8: goto c14;
    case 9: goto cb91;
    case 10: goto c92;
    case 11: goto cb97;
    case 12: goto c98;
    case 13: goto c139;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* reveal 3.0.3 , 14 */
  if (14 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* lookup_at 4 3.0.2 =(0) */
  if ( !((ch_t = REF(3)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(4).value,0);
  REF(4).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 5 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(4).tsdr->number];
  current->ip = 3;
cb6:
/* call 3.2.4.4 5 6 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(5),
          arguments[2] = DEF(6),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c7:
/* noop */
  
/* lookup_at 7 3.0.2 =(1) */
  if (1 >= (ch_t = REF(3)DOT(0)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(7).value,1);
  REF(7).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 8 7 */
  if((ch_returncode = (REF(7).tsdr->copy)(& ch_val, REF(7).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).value = ch_val;
  REF(8).tsdr = datarepmap[REF(7).tsdr->number];
  current->ip = 5;
cb11:
/* call 3.2.4.4 8 9 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
c13:
  current->ip = 7;
cb13:
/* call 3.2.4.5 3.0.3.0.1 3.0.3.0.0 10 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(5),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(1),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),
          arguments[3] = DEF(10),
          arguments[3+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* noop */
  
/* new_record 11 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val; REF(11).tsdr = & dr_record;
/* copy 11.1 3.0.3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(1).tsdr)->finalize)(REF(11)DOT(1).value,F_DISCARD,sched);
  REF(11)DOT(1).value = ch_val;
  REF(11)DOT(1).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(1).tsdr
    ->number];
/* copy 11.0 3.0.3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(11)DOT(0).tsdr)->finalize)(REF(11)DOT(0).value,F_DISCARD,sched);
  REF(11)DOT(0).value = ch_val;
  REF(11)DOT(0).tsdr = datarepmap[REF(3)DOT(0)DOT(3)DOT(0)DOT(0).tsdr
    ->number];
/* new_record 12 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val; REF(12).tsdr = & dr_record;
/* copy 12.0 11 */
  if((ch_returncode = cp_record(& ch_val, REF(11).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12)DOT(0).tsdr)->finalize)(REF(12)DOT(0).value,F_DISCARD,sched);
  REF(12)DOT(0).value = ch_val;
  REF(12)DOT(0).tsdr = & dr_record;
/* copy 12.1 9 */
  if((ch_returncode = (REF(9).tsdr->copy)(& ch_val, REF(9).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12)DOT(1).tsdr)->finalize)(REF(12)DOT(1).value,F_DISCARD,sched);
  REF(12)DOT(1).value = ch_val;
  REF(12)DOT(1).tsdr = datarepmap[REF(9).tsdr->number];
/* enum_lit 12.2 , 0 */
  REF(12)DOT(2).value.enumeration = 0;
  REF(12)DOT(2).tsdr = & dr_enumeration;
/* insert 3.2.6.0 12 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(6)DOT(0),DEF(12)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* unique 13 */
  if ((ch_returncode = che_unique(DEF(13),sched)) != Normal)
     goto ch_raise_exception;
/* unique 14 */
  if ((ch_returncode = che_unique(DEF(14),sched)) != Normal)
     goto ch_raise_exception;
/* unique 15 */
  if ((ch_returncode = che_unique(DEF(15),sched)) != Normal)
     goto ch_raise_exception;
/* unique 16 */
  if ((ch_returncode = che_unique(DEF(16),sched)) != Normal)
     goto ch_raise_exception;
/* copy 17 3.2.5.1 */
  if((ch_returncode = cp_record(& ch_val, REF(3)DOT(2)DOT(5)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_record;
/* copy 18 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).value = ch_val;
  REF(18).tsdr = datarepmap[REF(6).tsdr->number];
/* insert 17.1 18 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(18),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 17 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_record;
/* enum_lit 17.0 , 57 */
  REF(17)DOT(0).value.enumeration = 57;
  REF(17)DOT(0).tsdr = & dr_enumeration;
/* new_table 17.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(17)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 19 10 */
  if((ch_returncode = (REF(10).tsdr->copy)(& ch_val, REF(10).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = datarepmap[REF(10).tsdr->number];
/* insert 17.1 19 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(19),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 20 9 */
  if((ch_returncode = (REF(9).tsdr->copy)(& ch_val, REF(9).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val;
  REF(20).tsdr = datarepmap[REF(9).tsdr->number];
/* insert 17.1 20 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(20),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_record 21 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val; REF(21).tsdr = & dr_record;
/* ilit 21.0 , 0 */
  REF(21)DOT(0).value.integer = 0;
  REF(21)DOT(0).tsdr = & dr_integer;
/* ilit 21.1 , 0 */
  REF(21)DOT(1).value.integer = 0;
  REF(21)DOT(1).tsdr = & dr_integer;
/* unite 17.2 21 , 5 */
  if ((ch_returncode = che_unite(DEF(17)DOT(2),DEF(21),sched,5)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 22 13 */
  if((ch_returncode = cp_nominal(& ch_val, REF(13).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 22 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(22),sched,
    0)) != Normal) goto ch_raise_exception;
/* copy 23 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 23 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(23)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* copy 3.2.4.3.0 13 */
  if((ch_returncode = cp_nominal(& ch_val, REF(13).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value = ch_val;
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr = & dr_nominal;
/* new_table 3.2.4.3.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(3)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 24 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(24),sched,
    6)) != Normal) goto ch_raise_exception;
/* new_record 17 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_record;
/* enum_lit 17.0 , 60 */
  REF(17)DOT(0).value.enumeration = 60;
  REF(17)DOT(0).tsdr = & dr_enumeration;
/* new_table 17.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(17)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 25 10 */
  if((ch_returncode = (REF(10).tsdr->copy)(& ch_val, REF(10).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(10).tsdr->number];
/* insert 17.1 25 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(25),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 26 9 */
  if((ch_returncode = (REF(9).tsdr->copy)(& ch_val, REF(9).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val;
  REF(26).tsdr = datarepmap[REF(9).tsdr->number];
/* insert 17.1 26 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(26),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ilit 27 , 0 */
  REF(27).value.integer = 0;
  REF(27).tsdr = & dr_integer;
/* unite 17.2 27 , 2 */
  if ((ch_returncode = che_unite(DEF(17)DOT(2),DEF(27),sched,2)) != Normal)
     goto ch_raise_exception;
/* new_record 28 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val; REF(28).tsdr = & dr_record;
/* copy 28.0 16 */
  if((ch_returncode = cp_nominal(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(28)DOT(0).tsdr)->finalize)(REF(28)DOT(0).value,F_DISCARD,sched);
  REF(28)DOT(0).value = ch_val;
  REF(28)DOT(0).tsdr = & dr_nominal;
/* copy 28.1 14 */
  if((ch_returncode = cp_nominal(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(28)DOT(1).tsdr)->finalize)(REF(28)DOT(1).value,F_DISCARD,sched);
  REF(28)DOT(1).value = ch_val;
  REF(28)DOT(1).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 28 , 2 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(28),sched,
    2)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.3.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 29 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 29 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(29)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* copy 3.2.4.3.0 14 */
  if((ch_returncode = cp_nominal(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value = ch_val;
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr = & dr_nominal;
/* new_table 3.2.4.3.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(3)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 24 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(24),sched,
    6)) != Normal) goto ch_raise_exception;
/* find 30 3.2.4.0.1.0 3.0.3.0.0 , 0 */
  if (findfunc(DEF(30),DEF(3)DOT(2)DOT(4)DOT(0)DOT(1)DOT(0),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
  current->ip = 9;
cb91:
/* call 3.2.3.2 30.2 3.2 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(2),
          arguments[1] = DEF(30)DOT(2),
          arguments[2] = DEF(3)DOT(2),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c92:
/* new_record 31 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val; REF(31).tsdr = & dr_record;
/* move 31.0 13 */
  (*(REF(31)DOT(0).tsdr)->finalize)(REF(31)DOT(0).value,F_DISCARD,sched);
  REF(31)DOT(0) = REF(13);
  REF(13).tsdr = & dr_bottom;
/* copy 31.1 15 */
  if((ch_returncode = cp_nominal(& ch_val, REF(15).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(31)DOT(1).tsdr)->finalize)(REF(31)DOT(1).value,F_DISCARD,sched);
  REF(31)DOT(1).value = ch_val;
  REF(31)DOT(1).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 31 , 1 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(31),sched,
    1)) != Normal) goto ch_raise_exception;
/* copy 17 3.2.5.2 */
  if((ch_returncode = cp_record(& ch_val, REF(3)DOT(2)DOT(5)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_record;
  current->ip = 11;
cb97:
/* call 3.2.4.4 3.0.3.0.2 32 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(2),
          arguments[2] = DEF(32),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c98:
/* insert 17.1 32 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(32),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 33 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 33 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(33)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.2.4.3.0 15 */
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* new_table 3.2.4.3.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(3)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 24 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(24),sched,
    6)) != Normal) goto ch_raise_exception;
/* copy 17 3.2.5.0 */
  if((ch_returncode = cp_record(& ch_val, REF(3)DOT(2)DOT(5)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val;
  REF(17).tsdr = & dr_record;
/* insert 17.1 6 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 34 16 */
  if((ch_returncode = cp_nominal(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val;
  REF(34).tsdr = & dr_nominal;
/* unite 3.2.4.3.2 34 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(34),sched,
    0)) != Normal) goto ch_raise_exception;
/* copy 35 3.2.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = & dr_nominal;
/* insert 3.2.4.2.2 35 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(2),DEF(35)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.2.4.2.0 3.2.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(2)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.2.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(2)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(2)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3).value = ch_val; REF(3)DOT(2)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.2.4.3.0 16 */
  (*(REF(3)DOT(2)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(2)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(2)DOT(4)DOT(3)DOT(0) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* new_table 3.2.4.3.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),QUAL(3)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.2.4.3.2 24 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(2)DOT(4)DOT(3)DOT(2),DEF(24),sched,
    6)) != Normal) goto ch_raise_exception;
/* new_record 17 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_record;
/* enum_lit 17.0 , 58 */
  REF(17)DOT(0).value.enumeration = 58;
  REF(17)DOT(0).tsdr = & dr_enumeration;
/* new_table 17.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(17)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 17.1 10 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 17.1 9 */
  if ((ch_returncode = insertfunc(DEF(17)DOT(1),DEF(9),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 17.2 24 , 0 */
  if ((ch_returncode = che_unite(DEF(17)DOT(2),DEF(24),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 17 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(17)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* privatize 3.2.6.0 */
  if (REF(3)DOT(2)DOT(6)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(3)DOT(2)DOT(6)DOT(0))) != Normal)
       goto ch_raise_exception;
/* find 36 3.2.6.0 11 , 0 */
  if (findfunc(DEF(36),DEF(3)DOT(2)DOT(6)DOT(0),(
          arguments[0] = DEF(11),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 37 36 3.2.6.0 , 0 */
  if ((ch_returncode = removefunc(DEF(37),DEF(36),DEF(3)DOT(2)DOT(6)DOT(0)
    ,sched,0,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c139:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
